Base16InputStream (Apache Commons Codec 1.22.0 API)
Description: declaration: package: org.apache.commons.codec.binary, class: Base16InputStream

Package org.apache.commons.codec.binary

# Class Base16InputStream

java.lang.Object
java.io.InputStream
java.io.FilterInputStream
org.apache.commons.codec.binary.BaseNCodecInputStream<Base16,Base16InputStream,Base16InputStream.Builder>
org.apache.commons.codec.binary.Base16InputStream

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`

public class Base16InputStream extends BaseNCodecInputStream<Base16,Base16InputStream,Base16InputStream.Builder>
Provides Base16 decoding in a streaming fashion (unlimited size).

The default behavior of the Base16InputStream is to DECODE, whereas the default behavior of the `Base16OutputStream` is to ENCODE, but this behavior can be overridden by using a different constructor.

Since:
  1.15
See Also:
  - `Base16`

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `Base16InputStream.Builder`
  Builds instances of Base16InputStream.

  ## Nested classes/interfaces inherited from class org.apache.commons.codec.binary.BaseNCodecInputStream

  `BaseNCodecInputStream.AbstracBuilder<T,C extends BaseNCodec,B extends AbstractBaseNCodecStreamBuilder<T,C,B>>`

- ## Field Summary

  ### Fields inherited from class java.io.FilterInputStream

  `in`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Base16InputStream(InputStream inputStream)`
  Constructs a Base16InputStream such that all data read is Base16-decoded from the original provided InputStream.
  `Base16InputStream(InputStream inputStream, boolean encode)`
  Deprecated.
  `Base16InputStream(InputStream inputStream, boolean encode, boolean lowerCase)`
  Deprecated.
  `Base16InputStream(InputStream inputStream, boolean encode, boolean lowerCase, CodecPolicy decodingPolicy)`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Base16InputStream.Builder`
  `builder()`
  Constructs a new Builder.

  ### Methods inherited from class org.apache.commons.codec.binary.BaseNCodecInputStream

  `available, isStrictDecoding, mark, markSupported, read, read, reset, skip`

  ### Methods inherited from class java.io.FilterInputStream

  `close, read`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Base16InputStream

    public Base16InputStream(InputStream inputStream)
    Constructs a Base16InputStream such that all data read is Base16-decoded from the original provided InputStream.
    Parameters:
      `inputStream` - InputStream to wrap.

  - ### Base16InputStream

    @Deprecated public Base16InputStream(InputStream inputStream, boolean encode)
    Deprecated.
    Constructs a Base16InputStream such that all data read is either Base16-encoded or Base16-decoded from the original provided InputStream.
    Parameters:
      `inputStream` - InputStream to wrap.
      `encode` - true if we should encode all data read from us, false if we should decode.

  - ### Base16InputStream

    @Deprecated public Base16InputStream(InputStream inputStream, boolean encode, boolean lowerCase)
    Deprecated.
    Constructs a Base16InputStream such that all data read is either Base16-encoded or Base16-decoded from the original provided InputStream.
    Parameters:
      `inputStream` - InputStream to wrap.
      `encode` - true if we should encode all data read from us, false if we should decode.
      `lowerCase` - if `true` then use a lower-case Base16 alphabet.

  - ### Base16InputStream

    @Deprecated public Base16InputStream(InputStream inputStream, boolean encode, boolean lowerCase, CodecPolicy decodingPolicy)
    Deprecated.
    Constructs a Base16InputStream such that all data read is either Base16-encoded or Base16-decoded from the original provided InputStream.
    Parameters:
      `inputStream` - InputStream to wrap.
      `encode` - true if we should encode all data read from us, false if we should decode.
      `lowerCase` - if `true` then use a lower-case Base16 alphabet.
      `decodingPolicy` - Decoding policy.

- ## Method Details

  - ### builder

    public static Base16InputStream.Builder builder()
    Constructs a new Builder.
    Returns:
      a new Builder.